Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractLimitLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitLog

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractLimitLog extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractLimitLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `int`
  `getDays()`
  `BigDecimal`
  `getLimitValue()`
  `int`
  `getUserId()`
  `String`
  `getUserName()`
  `ContractLimitLog`
  `setComment(String comment)`
  `ContractLimitLog`
  `setContractId(int contractId)`
  `ContractLimitLog`
  `setDate(Date date)`
  `ContractLimitLog`
  `setDays(int days)`
  `ContractLimitLog`
  `setId(int id)`
  Устанавливает id объекта
  `ContractLimitLog`
  `setLimitValue(BigDecimal limitValue)`
  `ContractLimitLog`
  `setUserId(int userId)`
  `ContractLimitLog`
  `setUserName(String userName)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractLimitLog

    public ContractLimitLog()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getDate

    public Date getDate()

  - ### getDays

    public int getDays()

  - ### getLimitValue

    public BigDecimal getLimitValue()

  - ### getUserId

    public int getUserId()

  - ### getUserName

    public String getUserName()

  - ### setComment

    public ContractLimitLog setComment(String comment)

  - ### setContractId

    public ContractLimitLog setContractId(int contractId)

  - ### setDate

    public ContractLimitLog setDate(Date date)

  - ### setDays

    public ContractLimitLog setDays(int days)

  - ### setId

    public ContractLimitLog setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setLimitValue

    public ContractLimitLog setLimitValue(BigDecimal limitValue)

  - ### setUserId

    public ContractLimitLog setUserId(int userId)

  - ### setUserName

    public ContractLimitLog setUserName(String userName)